! 
! File:          ExceptionTest_NegativeValueException_Impl.F90
! Symbol:        ExceptionTest.NegativeValueException-v1.0
! Symbol Type:   class
! Babel Version: 0.10.2
! Description:   Server-side implementation for ExceptionTest.NegativeValueException
! 
! WARNING: Automatically generated; only changes within splicers preserved
! 
! babel-version = 0.10.2
! 


! 
! Symbol "ExceptionTest.NegativeValueException" (version 1.0)
! 
! This exception is thrown if the value for which the Fibonacci number
! is requested is negative.
! 


#include "sidl_SIDLException_fAbbrev.h"
#include "ExceptionTest_NegativeValueException_fAbbrev.h"
#include "sidl_ClassInfo_fAbbrev.h"
#include "sidl_BaseInterface_fAbbrev.h"
#include "sidl_BaseException_fAbbrev.h"
#include "sidl_BaseClass_fAbbrev.h"
! DO-NOT-DELETE splicer.begin(_miscellaneous_code_start)
! Insert extra code here...
! DO-NOT-DELETE splicer.end(_miscellaneous_code_start)




! 
! Class constructor called when the class is created.
! 

recursive subroutine NegativeValu__ctor18qszgfw8e_mi(self)
  use ExceptionTest_NegativeValueException
  use ExceptionTest_NegativeValueException_impl
  ! DO-NOT-DELETE splicer.begin(ExceptionTest.NegativeValueException._ctor.use)
  ! Insert use statements here...
  ! DO-NOT-DELETE splicer.end(ExceptionTest.NegativeValueException._ctor.use)
  implicit none
  type(ExceptionTest_NegativeValueException_t) :: self ! in

! DO-NOT-DELETE splicer.begin(ExceptionTest.NegativeValueException._ctor)
! Insert the implementation here...
! DO-NOT-DELETE splicer.end(ExceptionTest.NegativeValueException._ctor)
end subroutine NegativeValu__ctor18qszgfw8e_mi


! 
! Class destructor called when the class is deleted.
! 

recursive subroutine NegativeValu__dtorl33ci017s0_mi(self)
  use ExceptionTest_NegativeValueException
  use ExceptionTest_NegativeValueException_impl
  ! DO-NOT-DELETE splicer.begin(ExceptionTest.NegativeValueException._dtor.use)
  ! Insert use statements here...
  ! DO-NOT-DELETE splicer.end(ExceptionTest.NegativeValueException._dtor.use)
  implicit none
  type(ExceptionTest_NegativeValueException_t) :: self ! in

! DO-NOT-DELETE splicer.begin(ExceptionTest.NegativeValueException._dtor)
! Insert the implementation here...
! DO-NOT-DELETE splicer.end(ExceptionTest.NegativeValueException._dtor)
end subroutine NegativeValu__dtorl33ci017s0_mi


! 
! Static class initializer called exactly once before any user-defined method is dispatched
! 

recursive subroutine NegativeValu__loadbmgox_806p_mi()
  use ExceptionTest_NegativeValueException
  use ExceptionTest_NegativeValueException_impl
  ! DO-NOT-DELETE splicer.begin(ExceptionTest.NegativeValueException._load.use)
  ! Insert use statements here...
  ! DO-NOT-DELETE splicer.end(ExceptionTest.NegativeValueException._load.use)
  implicit none

! DO-NOT-DELETE splicer.begin(ExceptionTest.NegativeValueException._load)
! Insert the implementation here...
! DO-NOT-DELETE splicer.end(ExceptionTest.NegativeValueException._load)
end subroutine NegativeValu__loadbmgox_806p_mi


! DO-NOT-DELETE splicer.begin(_miscellaneous_code_end)
! Insert extra code here...
! DO-NOT-DELETE splicer.end(_miscellaneous_code_end)
